/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\clawsoftheholysquirrel.cs
Lines of code: 41

Description: 

***********************************************************/



//******************************************************************
//NOTE:  This artifact has been converted over to TheRevelationOfVirtue
//******************************************************************


using Server;
using System;

namespace Server.Items
{
	
	public class clawsoftheholysquirrel : Tekagi
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public clawsoftheholysquirrel() : base()
		{
		Name="Claws of the Holy Squirrel";
		Hue=1150;


		Attributes.AttackChance = 10;
		Attributes.Luck=100;
		Attributes.ReflectPhysical=5;
		Attributes.WeaponDamage=10 + Utility.Random(16);
		Attributes.WeaponSpeed=50;
		WeaponAttributes.HitLeechStam=20;
		
		Slayer = SlayerName.Silver;
		Slayer2 = SlayerName.Exorcism;
		}
		

		

		public clawsoftheholysquirrel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

		}
		
		public override void OnAfterLoad()
		{
			Misc.ObjectConverter.ConvertItem(this,new TheRevelationOfVirtue());
		}		
	}
	
}